> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/dashboard-writer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/dashboard-writer/5.0.0-3/developer/develop-with-writer/get-article.md).

# Get article

|             |                                                                                                                                                    |
| ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | com.naviga.writer:get:article                                                                                                                      |
| description | Action which returns a promise that resolve to an object containing info about current open article. Rejects if Writer application is not mounted. |

```jsx
import { Plugin, Utility } from '@root'

const MyAwesomeComponent = props => {
    const getArticle = Utility.useLazyRef(() => {
        return Plugin.getAction('your-bounded-action-id')
    })

    const article = await getArticle.current()
    
    console.log(article)
    /**
        {
            "url": "https://writer-url.io/9b203557-09ea-4d4f-9361-87ed835dc7eb",
            "uuid": "9b203557-09ea-4d4f-9361-87ed835dc7eb",
            "name": "Current Name of the article",
            "headline": "Current Headline of the article"
        }
    */
}
```

{% hint style="info" %}
If you called get:article action while Writer plugin is not mounted, get:article action will reject the promise
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-writer/5.0.0-3/developer/develop-with-writer/get-article.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
